
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelN291BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelN291BulkExportDescription;

public class NlWasModelN291BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelN291BulkExportDescription nlWasModelN291BulkExportDescription;

  public NlWasModelN291BulkExportMenuItemEntry() {
    super();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelN291BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelN291BulkExportDescription getExportDescription() {
    return nlWasModelN291BulkExportDescription;
  }
}
